
Infrastructure - Story #350

Implement listObjects() method for Metacat

2010-03-15 23:15 - Dave Vieglais

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Chad Berkley % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-0.4   

Story Points:    

Description

As the KNB node manager, I want the DataONE listObjects() method to be implemented for Metacat in order to participate in 

DataONE Mandatory, (3)

- involves adapting current squery() method to run query

- adapt rest interface to conform to DataONE API

- adapt resultset return format to conform to DataONE resultset spec

- write unit test for listObjects() REST service

History

#1 - 2010-03-18 11:12 - Matthew Jones

- Status changed from New to In Progress

#2 - 2010-05-20 16:56 - Chad Berkley

- Status changed from In Progress to Closed

list objects is now implmented in CrudService and D1Client.
